function keys.ui.stations.fill_station_key_states_table(table)

	local stations = {
		{name="Pelatus Mining Station",
		 friendly_name="Pelatus C-12"}, 
		{name="Bractus IX Planetary Outpost",
		 friendly_name="Bractus M-14"}, 
		{name="CONQUERABLE STATION",
		 friendly_name="Latos I-8"}
	}

	local row = 1
	for _,station in ipairs(stations) do
		local access_found = nil
		local total_keys = GetNumKeysInKeychain()
		for i=1,total_keys do
			local keyid, description, owner, timestamp, access, possessors, active = GetKeyInfo(tonumber(i))

			if access then 
				for j = 1, # access, 1 do
					if (access[j][1].name==station.name) then
						if (access[j][2].candock) and (access[j][2].iff)then 
							access_found = {id=keyid,owner=owner,desc=description}
						end
					end
				end
			end
		end

		local desc = ""
		local id = ""
		table:setcell(row, 1, station.friendly_name)
		if access_found == nil then
			table:setcell(row, 2, "\127FF0000:(")
		else
			table:setcell(row, 2, "\12700FF00:)")
			desc = access_found.desc
			id = access_found.id
		end
		table:setcell(row, 3, desc)
		table:setcell(row, 4, id)
		row = row + 1
	end
end
