function keys.ui.close_dialog()
	keys.ui.dlg:hide()
end

function keys.ui.create_dialog()
	-- station keys tab
	local station_keys_table = iup.matrix {numcol=4, numlin=3, markmode="LIN"}
	station_keys_table:setcell(0,1,"Station")
	station_keys_table:setcell(0,2,"State")
	station_keys_table:setcell(0,3,"Key name")
	station_keys_table:setcell(0,4,"Key id")
	keys.ui.stations.fill_station_key_states_table(station_keys_table)
	local station_keys_tab = iup.hbox {station_keys_table, iup.fill{}}
	station_keys_tab.tabtitle = "Station Keys"

	-- manager tab
	local manager_tab = iup.vbox {iup.fill{size=10}}
	manager_tab.tabtitle = "Owned Keys"
	keys.ui.manager.generate_manager_tab(manager_tab)

	-- copier tab
	local copier_tab = iup.vbox {iup.fill{size=10}}
	copier_tab.tabtitle = "Key Copier"
	keys.ui.copier.generate_copier_tab(copier_tab)

	-- bottom close button
	local close_button = iup.button{title="Close", size=100}
	function close_button:action ()
		keys.ui.close_dialog()
	end
	local bottom_button_box = iup.hbox {iup.fill{}, close_button, gap=5}

	-- dialog
	local tabs = iup.pda_root_tabs{station_keys_tab, manager_tab, copier_tab}
	local dialog_vbox = iup.vbox {
		tabs,
		iup.fill{size="%2"},
		bottom_button_box,
		expand="YES",
	}
	
	keys.ui.dlg = iup.dialog{
    iup.vbox{
			iup.fill{size="%10"},
        iup.hbox{
					iup.fill{size="%15"},
					iup.pdarootframe{
						dialog_vbox
					},
					iup.fill{size="%15"},
        },
        iup.fill{size="%10"},
			},
		defaultesc=keys.ui.close_dialog,		
    bgcolor="0 0 0 144 *",
    fullscreen="YES",
    border="NO",
    resize="NO",
    maxbox="NO",
    minbox="NO",
    menubox="NO",
    topmost="YES",
	}
	keys.ui.dlg:show()

end
